html {
  margin: 0; border: 0; padding: 0;
  width: 100%; height: 100%;

  --color-back: #000;
  --color-base: #555;
  --color-fore: #AAA;
}
body {
  margin: 0; border: 0; padding: 0;
  width: 100%; height: 100%;

  display: grid;
  grid-template-rows: 1cm min-content 1cm 1fr;
  grid-template-columns: 100%;

  font-family: monospace;
  background-color: var(--color-back); color: var(--color-fore);
}
body > header {
  display: flex;
  background-color: var(--color-base);
  white-space: pre;
}
body > header > img {
  margin: 0;
  border: 0;
  border-right: 1px solid var(--color-fore);
  padding: 3px;

  box-sizing: border-box;
  object-fit: contain;
  height: 100%;

  cursor: pointer;
  background-color: var(--color-back);
}
body > textarea {
  margin: 0;
  border: 0;
  border-top: 1px solid var(--color-fore);
  border-bottom: 1px solid var(--color-fore);
  padding: 3px 5px;

  box-sizing: border-box;
  min-height: 7em;
  max-height: 80vh;
  line-height: 1em;

  overflow-y: scroll;
  resize: vertical;
  background-color: inherit; color: inherit;
}
body > ul {
  margin: 0;
  border: 0;
  border-top: 1px solid var(--color-fore);
  padding: 0;

  overflow-y: scroll;
}
body > ul > li {
  margin: 0;
  border: 0;
  padding: 0 0 0 3px;

  border-left: 5px solid var(--color-fore);
}
body > ul > li:hover { color: #FFF; }
body > ul > li.cache:hover { color: #AA5; }
body > ul > li.block:hover { color: #A55; }
body > ul > li.allow:hover { color: #5A5; }
body > ul > li.cache { border-color: #550; }
body > ul > li.block { border-color: #500; }
body > ul > li.allow { border-color: #050; }
